Minecraft Java Edition - Sempre que tento jogar em uma versão inferior a 1.9 o launcher cracha

1. Minecraft Java Edition - Sempre que tento jogar em uma versão inferior a 1.9 o launcher cracha

João Lucas
Jluckmay

(usa Ubuntu)

Enviado em 08/07/2020 - 23:05h

Não sei por que motivo, mas desde que instalei o Ubuntu Mate no meu notebook não consigo jogar Minecraft em versões inferiores a 1.9 pelo launcher origianal e como meu notebook não é muito potente fica ruim de jogar nas versões mais atuais, ainda mais se eu quiser jogar com mods. O mais estranho é que pelo Launcher pirata foi possível jogar em tais versões. Alguém tem ideia do que pode estar acontecendo? Deixei em anexo uma print do log, uma da tela de Erro e uma no Mine pirata. Desde já agradeço a ajuda.


  


2. Re: Minecraft Java Edition - Sempre que tento jogar em uma versão inferior a 1.9 o launcher cracha

Ruan Klein
ruankl

(usa Linux Mint)

Enviado em 09/07/2020 - 00:00h

Seu sistema é 64 bits? Se sim, instalou o Java 64 bits?

No launcher original, vc precisa aumentar a memória virtual do Java para se ter um melhor desempenho.

Em "Instalações" no launcher, escolha a versão desejada e clica no Menu > Editar > Mais opções. Procure pela opção "Argumentos da JVM".
-Xmx4G -XX:+UnlockExperimentalVMOptions -XX:+UseG1GC -XX:G1NewSizePercent=20 -XX:G1ReservePercent=20 -XX:MaxGCPauseMillis=50 -XX:G1HeapRegionSize=32M 


Nessa linha -Xms4G é onde configura a memória máxima permitida para o Minecraft (por default eu acho que é 1GB). Aumente a quantidade ai de acordo com a sua configuração (não coloque a quantidade total de RAM).

Como eu tenho 16GB de ram, eu reservo 4GB para o jogo.


3. Re: Minecraft Java Edition - Sempre que tento jogar em uma versão inferior a 1.9 o launcher cracha

João Lucas
Jluckmay

(usa Ubuntu)

Enviado em 09/07/2020 - 23:26h

Eu tentei isso, mas não resolveu. Lá estava 2G, então tentei com 3 e mesmo assim não consegui. Meu notebook tem apenas 4G de RAM então não posso por mais RAM para o Mine. O estranho é que eu conseguia jogar nessas versões quando eu usava o Manjaro nesse notebook.


4. Re: Minecraft Java Edition - Sempre que tento jogar em uma versão inferior a 1.9 o launcher cracha

Ruan Klein
ruankl

(usa Linux Mint)

Enviado em 10/07/2020 - 08:33h

Com 4GB de RAM era pra rodar a ultima versão normalmente com a config default (2GB pro Mine). Pode ser a versão do java que vc esta usando...

Recomendo utilizar o Java 8, é o que eu uso aqui e nunca me deu problema com o launcher original...

Vc pode conferir a versão atual do java através do comando java --version
A partir do Ubuntu 20.04 ele já está disponível nos repositórios:
sudo apt install openjdk-8-jre 



5. Funcionou!

João Lucas
Jluckmay

(usa Ubuntu)

Enviado em 20/07/2020 - 19:21h

Eu estava usando o Java 13.
Tive que instalar o 8 e mudar o executável do Java nas configurações das instalações no launcher, mas agora ta rodando o Mine direito. Obrigado pela ajuda!

Mas por que isso ocorre? As novas versões do Java apenas adicionam classes e recursos, certo?


6. Re: Minecraft Java Edition - Sempre que tento jogar em uma versão inferior a 1.9 o launcher cracha

Cézar Augusto
Cizordj

(usa Debian)

Enviado em 20/07/2020 - 19:59h


Jluckmay escreveu:

Eu estava usando o Java 13.
Tive que instalar o 8 e mudar o executável do Java nas configurações das instalações no launcher, mas agora ta rodando o Mine direito. Obrigado pela ajuda!

Mas por que isso ocorre? As novas versões do Java apenas adicionam classes e recursos, certo?


É que eles não programaram o jogo pro Java 13, eles fizeram pro java 8 e por isso o jogo funcionou agora que você instalou o java 8






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts